> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of voucher groups



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /voucher-groups
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /voucher-groups:
    get:
      tags:
        - Voucher Groups
      summary: Retrieve a list of voucher groups
      parameters:
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          $ref: '#/components/responses/voucherGroupList'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    offset:
      in: query
      name: offset
      description: The number of items to skip before starting to collect the result set
      schema:
        type: integer
        example: 250
    limit:
      in: query
      name: limit
      description: Number of record to collect
      schema:
        type: integer
        maximum: 2000
        default: 250
        example: 250
  responses:
    voucherGroupList:
      description: Voucher Group list
      content:
        application/json:
          schema:
            type: object
            required:
              - data
            properties:
              data:
                description: Voucher Group list
                type: array
                items:
                  type: object
                  required:
                    - id
                    - name
                    - perKwh
                    - currency
                    - isSpotPriceBased
                    - spotPriceMargin
                    - spotPriceMarginPct
                    - spotPriceMinimum
                    - createdAt
                    - updatedAt
                    - voucherCount
                  properties:
                    id:
                      $ref: '#/components/schemas/id'
                    name:
                      $ref: '#/components/schemas/name'
                    perKwh:
                      $ref: '#/components/schemas/perKwh'
                    currency:
                      $ref: '#/components/schemas/currency'
                    isSpotPriceBased:
                      $ref: '#/components/schemas/isSpotPriceBased'
                    spotPriceMargin:
                      $ref: '#/components/schemas/spotPriceMargin'
                    spotPriceMarginPct:
                      $ref: '#/components/schemas/spotPriceMarginPct'
                    spotPriceMinimum:
                      $ref: '#/components/schemas/spotPriceMinimum'
                    createdAt:
                      $ref: '#/components/schemas/createdAt'
                    updatedAt:
                      $ref: '#/components/schemas/updatedAt'
                    voucherCount:
                      $ref: '#/components/schemas/voucherCount'
          example:
            data:
              - id: 24
                name: AKB2022
                perKwh: 2.5
                currency: DKK
                isSpotPriceBased: false
                spotPriceMargin: null
                spotPriceMarginPct: null
                spotPriceMinimum: 0.5
                createdAt: '2021-01-07T09:21:43.000Z'
                updatedAt: '2022-11-07T05:56:18.000Z'
                voucherCount: 1
              - id: 25
                name: aura2021
                perKwh: 2.5
                currency: DKK
                isSpotPriceBased: false
                spotPriceMargin: null
                spotPriceMarginPct: null
                spotPriceMinimum: null
                createdAt: '2021-04-07T11:41:23.000Z'
                updatedAt: '2022-11-07T05:56:18.000Z'
                voucherCount: 1
            totalElements: 207
            offset: 10
            limit: 2
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    name:
      description: name
      type: string
      example: Kokbjerg
    perKwh:
      description: price per kwh
      type: number
      example: 3
      nullable: true
    currency:
      description: pricing currency
      type: string
      example: DKK
      nullable: true
    isSpotPriceBased:
      type: boolean
      example: false
    spotPriceMargin:
      type: number
      example: 0.5
      nullable: true
    spotPriceMarginPct:
      type: number
      example: 0.5
      nullable: true
    spotPriceMinimum:
      type: number
      example: 0.5
      nullable: true
    createdAt:
      description: Created date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    updatedAt:
      description: Updated date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    voucherCount:
      type: integer
      example: 1

````